Description

Hello.

| am using individual data which | have joined onto household data, by hidp for each wave then put all of the waves into a dataframe
(g to I). Then for each household (and wave), | have aggregated up some of the individual responses (e.g. max personal income,
average financial security response etc). So | have a dataframe which has, for each household and wave, some household
responses and some new columns which | have created. | am hoping to aggregate these up by region and year (e.g. in London in
2019 the average household income was x, and the average financial security answer by household was y) so need to use weights -
however | am unsure which weights to use as I'm doing a longitudinal study on households (I plan to use the xhhrel file to link the
households between waves).

Any advice would be much appreciated.

History

#1 - 05/10/2023 03:29 PM - Olena Kaminska

Imogen,

Thank you for your question. How do you define household longitudinally? What happens if someone moves out, if household splits or if someone
moves in, stays for 2 years, and moves out? Generally, because of this, we don't have any users using household longitudinally, and therefore we
don't provide longitudinal household weights. Yet, if you think you have a clear definition, please let me know and | will help you with the weights.

There are two alternatives: to study households cross-sectionally, and to study individuals longitudinally, but you could study their household
characteristics.

Hope this helps,
Olena

#2 - 05/10/2023 04:23 PM - Imogen Farthing

Olena,

I'm wanting to see how the characteristics of these households (e.g. max personal income, average financial security score) change over time and
how that compares to another national dataset over time. So, it might make more sense to look at the household cross-sections in each wave and

then compare those on a year by year basis if that makes sense?

So | could aggregate up the average household income for one wave using the cross sectional weights and then | can compare that cross-sectional
picture between years?

Let me know if that doesn't make sense.

Imogen

#3 - 05/10/2023 05:26 PM - Understanding Society User Support Team
- Status changed from New to In Progress

- % Done changed from 0 to 50

- Private changed from Yes to No

#4 - 05/12/2023 12:44 PM - Olena Kaminska

Imogen,

Yes, this is definitely a possible option. In comparison over the years it is best to do it at an individual level with longitudinal weights. If you do it at
household level, make sure you take into account that these are the same people, so possibly doing it through a cross-classified model may be a

good option for you.

Hope this helps,
Olena

#5 - 05/23/2023 11:27 AM - Understanding Society User Support Team

- Status changed from In Progress to Feedback

#6 - 11/30/2023 01:02 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 50 to 100
